<rtflowfile version="1.0">
   <block name="SafeDiv" folder="Standard\Arithmetic\" width="48" height="48">
      <resize constrainprop="false" allow="true"/>
      <instancename show="true" position="up"/>
      <blockname show="false" position="down"/>
      <portnames show="false" inside="true"/>
      <graphic class="rect" x1="0" y1="0" x2="48" y2="48">
         <fill fill="true" color="0x00EEEEEE"/>
      </graphic>
      <graphic class="line" x1="20" y1="32" x2="28" y2="16"/>
      <doc>Divides two real-valued signals and avoids math errors. If i1, the denominator, is 0, the resulting signal o will be 0.</doc>
      <port name="i0" type="real" x="0" y="16" kind="input" dir="left">
         <doc>The numerator.</doc>
      </port>
      <port name="i1" type="real" x="0" y="32" kind="input" dir="left">
         <doc>The denominator.</doc>
      </port>
      <port name="o" type="real" x="48" y="16" kind="output" dir="right">
         <doc>The quotient of i0 and i1, or 0 if i1 is 0.</doc>
      </port>
   </block>
   <schematic name="SafeDiv" width="903" height="602">
      <editor gridsize="16" alignports="true" autovalue="false"/>
      <binstance name="Div1" block="Div" x="384" y="80"/>
      <binstance name="If1" block="If" x="240" y="112"/>
      <binstance name="Equal1" block="Equal" x="192" y="160"/>
      <binstance name="i0" block="RealInput" x="128" y="80"/>
      <binstance name="i1" block="RealInput" x="128" y="160"/>
      <binstance name="Value1" block="Value" x="192" y="112">
         <constant name="value" value="1" show="true" x="16" y="8"/>
      </binstance>
      <binstance name="Value2" block="Value" x="144" y="176">
         <constant name="value" value="0" show="true" x="16" y="8"/>
      </binstance>
      <binstance name="o" block="RealOutput" x="464" y="88"/>
      <connection name="i1" port1="i1.o" port2="Equal1.i0">
         <point x="144" y="168"/>
         <point x="192" y="168"/>
      </connection>
      <connection name="i0" port1="i0.o" port2="Div1.i0">
         <point x="144" y="88"/>
         <point x="386" y="88"/>
      </connection>
      <connection name="If1_o_1" port1="If1.o" port2="Div1.i1">
         <point x="272" y="128"/>
         <point x="329" y="128"/>
         <point x="329" y="104"/>
         <point x="386" y="104"/>
      </connection>
      <connection name="Equal1_o_1" port1="Equal1.o" port2="If1.i2">
         <point x="224" y="176"/>
         <point x="248" y="176"/>
         <point x="248" y="144"/>
      </connection>
      <connection name="i1" port1="i1.o" port2="If1.i0">
         <point x="144" y="168"/>
         <point x="176" y="168"/>
         <point x="176" y="136"/>
         <point x="240" y="136"/>
      </connection>
      <connection name="Value1_o_1" port1="Value1.o" port2="If1.i1">
         <point x="224" y="120"/>
         <point x="240" y="120"/>
      </connection>
      <connection name="Value2_o_1" port1="Value2.o" port2="Equal1.i1">
         <point x="176" y="184"/>
         <point x="192" y="184"/>
      </connection>
      <connection name="o" port1="Div1.o" port2="o.i0">
         <point x="416" y="96"/>
         <point x="464" y="96"/>
      </connection>
   </schematic>
</rtflowfile>
