<rtflowfile version="1.0">
   <block name="NormalizeAngle" folder="Standard\Trigonometric\" width="32" height="32">
      <resize constrainprop="false" allow="true"/>
      <instancename show="true" position="up"/>
      <blockname show="false" position="down"/>
      <portnames show="true" inside="false"/>
      <graphic class="rect" x1="0" y1="0" x2="32" y2="32">
         <fill fill="true" color="0x00EEEEEE"/>
      </graphic>
      <graphic class="circle" x="16" y="16" r="8">
         <fill fill="false"/>
      </graphic>
      <doc>Transposes an angle in radians to the interval [-pi,+pi]. The resulting signal o is i + n*2*pi for some integer n such that o is in the interval [-pi,+pi].</doc>
      <port name="i" type="real" x="0" y="16" kind="input" dir="left">
         <doc>The angle to transpose in radians.</doc>
      </port>
      <port name="o" type="real" x="32" y="16" kind="output" dir="right">
         <doc>The angle in radians in the interval [-pi,+pi].</doc>
      </port>
   </block>
   <schematic name="NormalizeAngle" width="903" height="602">
      <editor gridsize="16" alignports="true" autovalue="false"/>
      <binstance name="Mod1" block="Mod" x="304" y="64"/>
      <binstance name="Value1" block="Value" x="48" y="96" scalex="3.5" scaley="2">
         <constant name="value" value="3.14159265358979" show="true" x="16" y="8"/>
      </binstance>
      <binstance name="Gain1" block="Gain" x="192" y="96">
         <constant name="gain" value="2" show="true" x="11" y="16"/>
      </binstance>
      <binstance name="i" block="RealInput" x="48" y="32"/>
      <binstance name="Sub1" block="Sub" x="560" y="208"/>
      <binstance name="Add1" block="Add" x="192" y="32"/>
      <binstance name="o" block="RealOutput" x="672" y="216"/>
      <binstance name="Less1" block="Less" x="384" y="176"/>
      <binstance name="Value2" block="Value" x="304" y="192">
         <constant name="value" value="0" show="true" x="16" y="8"/>
      </binstance>
      <binstance name="If1" block="If" x="496" y="128"/>
      <binstance name="Add2" block="Add" x="432" y="96"/>
      <connection name="pi" port1="Value1.o" port2="Gain1.i0">
         <point x="160" y="112"/>
         <point x="192" y="112"/>
      </connection>
      <connection name="piX2" port1="Gain1.o" port2="Mod1.i1">
         <point x="224" y="112"/>
         <point x="272" y="112"/>
         <point x="272" y="88"/>
         <point x="306" y="88"/>
      </connection>
      <connection name="i" port1="i.o" port2="Add1.i0">
         <point x="64" y="40"/>
         <point x="194" y="40"/>
      </connection>
      <connection name="pi" port1="Value1.o" port2="Add1.i1">
         <point x="160" y="112"/>
         <point x="176" y="112"/>
         <point x="176" y="56"/>
         <point x="194" y="56"/>
      </connection>
      <connection name="i_plus_pi" port1="Add1.o" port2="Mod1.i0">
         <point x="224" y="48"/>
         <point x="272" y="48"/>
         <point x="272" y="72"/>
         <point x="306" y="72"/>
      </connection>
      <connection name="pi" port1="Value1.o" port2="Sub1.i1">
         <point x="160" y="112"/>
         <point x="176" y="112"/>
         <point x="176" y="232"/>
         <point x="562" y="232"/>
      </connection>
      <connection name="o" port1="Sub1.o" port2="o.i0">
         <point x="592" y="224"/>
         <point x="672" y="224"/>
      </connection>
      <connection name="zero" port1="Value2.o" port2="Less1.i1">
         <point x="336" y="200"/>
         <point x="384" y="200"/>
      </connection>
      <connection name="negative" port1="Less1.o" port2="If1.i2">
         <point x="416" y="192"/>
         <point x="504" y="192"/>
         <point x="504" y="160"/>
      </connection>
      <connection name="modulus" port1="Mod1.o" port2="Less1.i0">
         <point x="336" y="80"/>
         <point x="352" y="80"/>
         <point x="352" y="184"/>
         <point x="384" y="184"/>
      </connection>
      <connection name="modulus" port1="Mod1.o" port2="Add2.i0">
         <point x="336" y="80"/>
         <point x="352" y="80"/>
         <point x="352" y="104"/>
         <point x="434" y="104"/>
      </connection>
      <connection name="modulus" port1="Mod1.o" port2="If1.i0">
         <point x="336" y="80"/>
         <point x="352" y="80"/>
         <point x="352" y="152"/>
         <point x="496" y="152"/>
      </connection>
      <connection name="piX2" port1="Gain1.o" port2="Add2.i1">
         <point x="224" y="112"/>
         <point x="272" y="112"/>
         <point x="272" y="120"/>
         <point x="434" y="120"/>
      </connection>
      <connection name="modulus_plus_pi" port1="Add2.o" port2="If1.i1">
         <point x="464" y="112"/>
         <point x="480" y="112"/>
         <point x="480" y="136"/>
         <point x="496" y="136"/>
      </connection>
      <connection name="zero_to_piX2" port1="If1.o" port2="Sub1.i0">
         <point x="528" y="144"/>
         <point x="544" y="144"/>
         <point x="544" y="216"/>
         <point x="562" y="216"/>
      </connection>
   </schematic>
</rtflowfile>
